LoggingMessage (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.interceptor, class: LoggingMessage

Package org.apache.cxf.interceptor

# Class LoggingMessage

java.lang.Object
org.apache.cxf.interceptor.LoggingMessage

@Deprecated public final class LoggingMessage extends Object
Deprecated.
use the logging module rt/features/logging instead

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ID_KEY`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoggingMessage(String h, String i)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StringBuilder`
  `getAddress()`
  Deprecated.
  `StringBuilder`
  `getContentType()`
  Deprecated.
  `StringBuilder`
  `getEncoding()`
  Deprecated.
  `StringBuilder`
  `getHeader()`
  Deprecated.
  `StringBuilder`
  `getHttpMethod()`
  Deprecated.
  `String`
  `getId()`
  Deprecated.
  `StringBuilder`
  `getMessage()`
  Deprecated.
  `StringBuilder`
  `getPayload()`
  Deprecated.
  `StringBuilder`
  `getResponseCode()`
  Deprecated.
  `static String`
  `nextId()`
  Deprecated.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ID_KEY

    public static final String ID_KEY
    Deprecated.

- ## Constructor Details

  - ### LoggingMessage

    public LoggingMessage(String h, String i)
    Deprecated.

- ## Method Details

  - ### getId

    public String getId()
    Deprecated.

  - ### nextId

    public static String nextId()
    Deprecated.

  - ### getAddress

    public StringBuilder getAddress()
    Deprecated.

  - ### getEncoding

    public StringBuilder getEncoding()
    Deprecated.

  - ### getHeader

    public StringBuilder getHeader()
    Deprecated.

  - ### getHttpMethod

    public StringBuilder getHttpMethod()
    Deprecated.

  - ### getContentType

    public StringBuilder getContentType()
    Deprecated.

  - ### getMessage

    public StringBuilder getMessage()
    Deprecated.

  - ### getPayload

    public StringBuilder getPayload()
    Deprecated.

  - ### getResponseCode

    public StringBuilder getResponseCode()
    Deprecated.

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`